import 'dart:convert';
import 'package:http/http.dart' as http;

import '../models/archivos.dart';

class ArchivosProvider{
  final String _url = "smart.solerpalau.mx";

  Future<Archivos> fetchArchivos(String submodelo) async{
    final submodeloArr = submodelo.split('/');
    String submodeloStr = '';
    int i = 0;
    do{
      submodeloStr += submodeloArr[i] + '|';
      i++;
    }while(i < submodeloArr.length);
    submodeloStr = submodeloStr.substring(0, submodeloStr.length-1);
    final url = Uri.https(_url, 'PR/api/v1/obtenerArchivos/$submodeloStr');
    final res = await http.get(url);
    final decodedData = jsonDecode(res.body);
    final archivos = Archivos.fromJson(decodedData);

    return archivos;
  }
}